Package Details: dwarffortress-lnp-git 44.03-2

Git Clone URL: https://aur.archlinux.org/dwarffortress-lnp-git.git (read-only, click to copy)
Package Base: dwarffortress-lnp-git
Description: Installer for the Lazy Newb Pack to run Dwarf Fortress. Includes vanilla dwarf fortress, dfhack and graphics
Upstream URL: None
Licenses: custom
Submitter: metamer
Maintainer: None
Last Packager: metamer
Votes: 23
Popularity: 0.000078
First Submitted: 2016-03-06 03:30
Last Updated: 2018-01-12 03:15

Dependencies (29)

Required by (0)

Sources (25)

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 Next › Last »

metamer commented on 2016-05-30 21:30

tum0ur - If you want to make the modification to add the include, you'll have to modify the PKGBUILD to patch in the change.

MaggNorway - I had tried building this a month ago on (what I thought was) a clean install of arch and didn't require the addition of cmath. The PKGBUILD also pulls from the 42.06-beta1 tag, which shouldn't have changed since. Any ideas why we might be seeing different results?

Yamakaky - I don't think updating the package will fully update ~/.dwarffortress-lnp-git, partly because the modified raws are stored in the folder. You'll probably have to delete ~/.dwarffortress-lnp-git and run the updated pack in order to re-generate the folder (making sure to backup any saves you'd like to keep).

tum0ur commented on 2016-05-24 20:17

Hi MaggNorway When I try to add the include statement, I can Build dfhack by itself, but running makepkg re-downloads all of the src info overwriting my changes. I'm not sure what I should be doing to get the package to compile correctly.
Could you explain what you did with a little more detail, please?

MaggNorway commented on 2016-05-19 21:59

I had to add "#include <cmath>" to dfhack/plugins/3dveins.cpp, to get it to compile.

Pulec commented on 2016-04-23 11:00

Thx samgarr for identifying the issue and thx for the fix metamer.

I wrote simple script to update the "df_max_version": "0.42.05" to 0.42.06 in all manifest.json files in ~/.dwarffortress-lnp-git/LNP/graphics so PyLNP can allows to use them https://github.com/Pulecz/Dwarf-Fortress/blob/master/tools/df_lnp_graphics_manifest_update.py

Yamakaky commented on 2016-04-22 10:31

Will it upgrade the game in ~/.dwarffortress-lnp-git?

metamer commented on 2016-04-22 04:55

I've bumped the version to 42.06 (both dfhack and dwarffortress) and switched to use master for unfuck. Note that due to this, the df_maxversion value in the manifest.json files in the subfolders of ~/.dwarffortress-lnp-git/LNP/graphics will have to be modified manually in order for LNP to pick up the graphics packs.

metamer commented on 2016-04-21 02:21

I've pushed an update swapping out sh for bash. I'm currently investigating bumping the version to 42.06 and switching unfuck to master

Samgarr commented on 2016-04-19 21:01

Is not possilbe build this package on my system anymore, due this bug:
https://github.com/svenstaro/dwarf_fortress_unfuck/issues/18
which is fixed in DF unfuck master. Building this packge agains DF unfuck master is working.

asiago commented on 2016-04-19 18:44

I'm no expert, but it looks like the files referenced by the make script used by dwarf_fortress_unfuck are missing.

Both CMakeFiles/graphics.dir/g_src/enabler.cpp.o and g_src/enabler.cpp (referenced on line 111 of build.make) don't exist.

Pulec commented on 2016-04-19 12:14

I hope everybody can fix the lnp file by themselves (at least I think its easier then to edit this package). After edit "#!/usr/bin/env bash" on the first line, do md5sum lnp and place that string (for example "66f469644799d4c6c80460b9e4d2a7ba") into the PKGBUILD on line 67.

However with latest update I see:

CMakeFiles/graphics.dir/build.make:110: recipe for target 'CMakeFiles/graphics.dir/g_src/enabler.cpp.o' failed
make[2]: *** [CMakeFiles/graphics.dir/g_src/enabler.cpp.o] Error 1
CMakeFiles/Makefile2:67: recipe for target 'CMakeFiles/graphics.dir/all' failed
make[1]: *** [CMakeFiles/graphics.dir/all] Error 2
Makefile:83: recipe for target 'all' failed
make: *** [all] Error 2

during building, details here: http://pastebin.com/YfmftKv0

I have both
lib32-libjpeg6-turbo (x86_64)
lib32-libpng12 (x86_64)

installed, the same day.

What am I missing?